#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.3
visibility:           public
id:                   semialign-1.3-LPtuP9NqIsK3M1FnPo23r1
key:                  semialign-1.3-LPtuP9NqIsK3M1FnPo23r1
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  7a130bc68ceb4770e69478882b27c7b3
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.2.8/site-local/semialign-1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/semialign-1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.3-LPtuP9NqIsK3M1FnPo23r1
depends:
    base-4.16.4.0 containers-0.6.5.1
    hashable-1.4.4.0-FBBN0pDZ0iK3ZcMpqjlzBP
    indexed-traversable-0.1.4-32pdjkjokVdFygoHShOR8n
    indexed-traversable-instances-0.1.2-8J4U6BwVpvf4rVVlL0CEnf
    semigroupoids-6.0.0.1-71sbGfw9o1U23zubKkvfiZ
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
    these-1.2-91E6akABkMp7iq24lJWHQY transformers-0.5.6.2
    unordered-containers-0.2.20-synCBDLh0NACk48p5Re76
    vector-0.13.1.0-5Ks1FSmymfI2i781M8kBvn

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

